# DXGfxLib.Trigger Class Reference

Triggers are a specific kind of world Area that have actions associated with them. The actions are triggered when an object enter the Area of the trigger. Trigger could react only to some specific types entering the Area or named object, they could post events or perform any kind of other actions. More...

Inherits DXGfxLib::Area, and DXGfxLib::Area.

Collaboration diagram for DXGfxLib.Trigger:

[legend]

List of all members.

## Public Member Functions
override void | Collision (double appTime, float elapsedTime, SceneObject collidingObject)
| This method will be called if another scene object collides with this one and checkForCollision is true. TODO: Add code to avoid sceneobject to interpenatre !
override void | Collision (double appTime, float elapsedTime, SceneObject collidingObject)
| This method will be called if another scene object collides with this one and checkForCollision is true. TODO: Add code to avoid sceneobject to interpenatre !
## Properties
string | EventName`[get, set]`
string | EventType`[get, set]`
string | EventValue`[get, set]`

## Detailed Description

Triggers are a specific kind of world Area that have actions associated with them. The actions are triggered when an object enter the Area of the trigger. Trigger could react only to some specific types entering the Area or named object, they could post events or perform any kind of other actions.

Events are posted at the scene level not on specific nodes !!

Definition at line 35 of file Trigger.cs.

## Member Function Documentation

override void DXGfxLib.Trigger.Collision | ( | double | appTime,
|  | float | elapsedTime,
|  | SceneObject | collidingObject |
| ) |  |  | `[virtual]`

This method will be called if another scene object collides with this one and checkForCollision is true. TODO: Add code to avoid sceneobject to interpenatre !

Parameters:

  | appTime |
  | elapsedTime |
  | collidingObject |

Reimplemented from DXGfxLib.SceneObject.

Definition at line 72 of file Trigger.cs.

Here is the call graph for this function:

override void DXGfxLib.Trigger.Collision | ( | double | appTime,
|  | float | elapsedTime,
|  | SceneObject | collidingObject |
| ) |  |  | `[virtual]`

This method will be called if another scene object collides with this one and checkForCollision is true. TODO: Add code to avoid sceneobject to interpenatre !

Parameters:

  | appTime |
  | elapsedTime |
  | collidingObject |

Reimplemented from DXGfxLib.SceneObject.

Definition at line 72 of file Trigger.cs.

Here is the call graph for this function:

## Property Documentation

string DXGfxLib.Trigger::EventName`[get, set]`

Definition at line 43 of file Trigger.cs.

string DXGfxLib.Trigger::EventType`[get, set]`

Definition at line 54 of file Trigger.cs.

string DXGfxLib.Trigger::EventValue`[get, set]`

Definition at line 67 of file Trigger.cs.

The documentation for this class was generated from the following files:

- D:/guillaume/guillara/3D/DXGfx/Backup/DXGfxLib/Trigger.cs
- D:/guillaume/guillara/3D/DXGfx/DXGfxLib/Trigger.cs